List letters of authority Run in API Explorer
Ask AI
Only letters whose owners the user can see are listed and counted. meta.counts gives the total and how many need attention, before filters.
GET
/api/v1/addons/pensionlab/letters-of-authority
curl \
--request GET 'https://api.plannrcrm.com/api/v1/addons/pensionlab/letters-of-authority' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "4497f48a-436a-46ba-8346-400de2ad3af2",
"created_at": "2026-10-29T14:28:07+00:00",
"updated_at": "2026-10-29T14:28:07+00:00",
"client": {
"uuid": "0a582743-d1e8-4312-bdee-fe48e617afd0",
"created_at": "2026-10-29T14:28:07+00:00",
"updated_at": "2026-10-29T14:28:07+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "05122716-2590-482d-a2b3-da441a946089",
"created_at": "2026-10-29T14:28:10+00:00",
"updated_at": "2026-10-29T14:28:10+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"second_owner": {
"uuid": "476487e6-928e-4757-bb4e-10dba5712ac6",
"created_at": "2026-10-29T14:28:07+00:00",
"updated_at": "2026-10-29T14:28:07+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "05122716-2590-482d-a2b3-da441a946089",
"created_at": "2026-10-29T14:28:10+00:00",
"updated_at": "2026-10-29T14:28:10+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"plan": {
"uuid": "7612b1b7-4036-4cf8-8147-34d415096136",
"created_at": "2026-10-29T14:28:07+00:00",
"updated_at": "2026-10-29T14:28:07+00:00",
"opened_at": "2026-10-29T14:28:07+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-29T14:28:07+00:00",
"inactive_reason": "claimed",
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"is_wrap_product": false,
"is_wrap_child": false
},
"pensionlab_provider": {
"uuid": "384473a8-d35e-436e-9fdf-e39bc74a38ba",
"name": "Aviva Life & Pensions UK Ltd",
"policy_number_format": "123456/PP",
"policy_number_is_nino": false,
"is_db_only": false,
"response_estimate_days": 14,
"provider": {
"uuid": "f9891be9-5653-4e65-92d0-39622c7759bd",
"created_at": "2026-10-29T14:28:10+00:00",
"updated_at": "2026-10-29T14:28:10+00:00",
"name": "AJ Bell",
"slug": "aj-bell"
}
},
"requested_by": {
"uuid": "1f22a58e-9169-4453-9066-5b0335fccc17",
"created_at": "2026-10-29T14:28:07+00:00",
"updated_at": "2026-10-29T14:28:07+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "05122716-2590-482d-a2b3-da441a946089",
"created_at": "2026-10-29T14:28:10+00:00",
"updated_at": "2026-10-29T14:28:10+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"policy_number": "123456/PP",
"ownership": "single",
"pensionlab_reference": "loa123",
"state": "created",
"signature_status": "Awaiting signature",
"closed_sub_state": "chased out",
"issues": [
"Date of birth"
],
"notes": "Provider confirmed receipt.",
"estimated_completion": "7 days",
"finished_policies_fraction": "2/5",
"client_signed_at": "2026-10-27T09:00:00+00:00",
"second_owner_signed_at": "2026-10-27T09:30:00+00:00",
"signed_at": "2026-10-27T09:30:00+00:00",
"sent_at": "2026-10-27T10:00:00+00:00",
"completed_at": "2026-11-03T10:00:00+00:00",
"closed_at": "2026-11-03T10:00:00+00:00",
"last_synced_at": "2026-10-27T10:05:00+00:00",
"sync_error": "credentials_unavailable",
"raised_at": "2026-10-26T10:00:00+00:00",
"signing_link_sent_at": "2026-10-26T10:05:00+00:00",
"signing_link_sent_by": {
"uuid": "86eab737-26e4-47ea-afa2-0b5365f1c268",
"created_at": "2026-10-29T14:28:07+00:00",
"updated_at": "2026-10-29T14:28:07+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "05122716-2590-482d-a2b3-da441a946089",
"created_at": "2026-10-29T14:28:10+00:00",
"updated_at": "2026-10-29T14:28:10+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
]
}
Response examples (422)
{
"message": "The selected needs attention is invalid.",
"errors": {
"filter.needs_attention": [
"The selected needs attention is invalid."
]
}
}